import { Component, OnInit, ViewChild } from '@angular/core';
import ContactForm from '../models/ContactForm';
import { NgForm } from '@angular/forms';

@Component({
  selector: 'app-contact-form',
  templateUrl: './contact-form.component.html',
  styleUrls: ['./contact-form.component.scss']
})
export class ContactFormComponent implements OnInit {

  @ViewChild('form')
  form: NgForm;

  formData = new ContactForm();

  constructor() { }

  ngOnInit() {
  }

  onSubmit() {
    if (this.form.valid) {
      console.log(this.formData);
      this.form.reset();
      // we can use that method when we want initialize form inputs
      // this.form.resetForm(new ContactForm());
    }
  }

}
