import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';

@Component({
  selector: 'app-child',
  templateUrl: './child.component.html',
  styleUrls: ['./child.component.scss']
})
export class ChildComponent implements OnInit {

  @Input() hobbies = [];

  @Output() hobbyEmitter = new EventEmitter();

  textToClean = 'text will clear';

  constructor() { }

  ngOnInit() {
  }

  selectHobby(hobby: string) {
    this.hobbyEmitter.emit(hobby);
  }

}
