import { Component, OnInit } from '@angular/core';
import { CommonPropertyService } from '../services/common-property.service';

@Component({
  selector: 'app-same-instance-of-service',
  templateUrl: './same-instance-of-service.component.html',
  styleUrls: ['./same-instance-of-service.component.scss']
})
export class SameInstanceOfServiceComponent implements OnInit {

  state = 0;

  observableState = 0;

  constructor(private readonly service: CommonPropertyService) { }

  ngOnInit() {
    this.service.getObservalbeProperty().subscribe((data: number) => {
      this.observableState = data;
    });
  }

  getStateInfo() {
    this.state = this.service.getStateInfo();
  }

}
