import { Component, OnInit } from '@angular/core';
import { CalculationService } from '../services/calculation.service';

@Component({
  selector: 'app-sum',
  templateUrl: './sum.component.html',
  styleUrls: ['./sum.component.scss'],
  providers: [CalculationService]
})
export class SumComponent implements OnInit {

  firstNumber = 0;

  secondNumber = 0;

  result = 0;

  constructor(private readonly calcService: CalculationService) { }

  ngOnInit() {
  }

  sumButtonClick() {
    this.result = this.calcService.sum(this.firstNumber, this.secondNumber);
  }

}
